Valorant API Unofficial docs
API Reference Esports
GET

Upcoming Matches

Get upcoming esports matches for VCT leagues. Returns leagues, tournaments, and teams data.

Internal name Esports_GetUpcomingMatches Server PD · shard Auth Bearer + Entitlements
GET https://pd.{shard}.a.pvp.net/esports-service/v2/upcomingMatches?leagueID={leagueID}&locale={locale}&sport={sport}
Try this request in the browser with your own values

Headers

X-Riot-Entitlements-JWT string required
Value {entitlement token}— From the Entitlements Token or Entitlement endpoint
Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

shard enum required

na, pbe, eu, ap or kr: depends on where the account was created.

napbeeuapkr
How to get it

The shard is dependent on where the Riot account was created.
There are 5 shards:

Shard Region(s)
na latam, br, na
pbe na
eu eu
ap ap
kr kr
Obtaining locally:

The shard can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

The shard can be found from using a lookup table with the region. To find the region, use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

Query parameters

leagueID string required

Comma-separated list of league IDs. Default VCT leagues: 107254585505459304,109940824119741550,109974795266458277,106109559530232966,109974804058058602,111691194187846945,109222784797127274

locale string optional

Locale for localized names, e.g. "ru-RU", "en-US"

sport string optional

Sport identifier, always "val" for Valorant

Other variables

entitlement token From the Entitlements Token or Entitlement endpoint.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint
Entitlements Token
auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

Leagues array[object]
Show nested attributes Hide nested attributes 5
ID string
Name string
ImageURL string
TournamentIDs array[string]
TeamIDs array[string] nullable
Tournaments array[object]
Show nested attributes Hide nested attributes 8
ID string
Name string
LeagueID string
LeagueName string
StartTime string

ISO 8601 date string

EndTime string

ISO 8601 date string

StageIDs array[string]
TeamIDs array[string]
Teams array[object]
Show nested attributes Hide nested attributes 11
ID string
Name string
Code string
BaseImageURL string
HighResImageURL string
LowResImageURL string
HomeLeagueID string
TeamMemberIDs array[string] nullable
BundleID string
BundleDataAssetID string
DataAssetID string
Seasons null
Splits null